<?php
#----------------------------------------------------------#
# チーム投手成績
#----------------------------------------------------------#
function team_result_pcR($DATA){
global$disp,$Q,$SET;
global$RANK_RES,$D;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# 初期設定
#--------------------------------------#
$TR_RANK=$Q[rank];if(!$TR_RANK){$TR_RANK='ERA';}
$TIME=read_data('time','time');
#--------------------------------------#
# データ設定
#--------------------------------------#
#読み取りデータ
switch($DATA){
	case 'b':
	$D[read_data]='card_res_pb';
	$D[data]='b';
	$D[data_name]='前季';
	break;
	case 'p':
	$D[read_data]='card_res_pp';
	$D[data]='p';
	$D[data_name]='練習';
	break;
	case 'a':
	$D[read_data]='card_res_pa';
	$D[data]='a';
	$D[data_name]='全季';
	break;
	case 'pp':
	$D[read_data]='card_res_ppp';
	$D[data]='pp';
	$D[data_name]='打撃練習';
	break;
	default:
	$D[read_data]='card_res_p';
	$D[data]='';
	$D[data_name]='今季';
}
# 規定投球回
$D[check]=$TIME[num]*3;
# 設定/この順番で表示
$D[RANK_TYPE]=array(
'WIN'=>'U!勝!勝ち',
'LOSE'=>'U!敗!負け',
'SAVE'=>'U!Ｓ!セーブ',
'AP'=>'U!先発',
'CG'=>'U!完投',
'BS'=>'U!完封',
'ERA'=>'D!ERA!防御率',
'WHIP'=>'D!WHIP',
'AVE'=>'D!被打率',
'AVEP'=>'D!得点圏!得点圏被打率',
'TIMES'=>'U!投球回',
'MO'=>'U!登板',
'BT'=>'U!打者',
'BTN'=>'U!打数',
'BTH'=>'U!被安',
'BTHO'=>'U!被単',
'BTHD'=>'U!被二',
'BTHT'=>'U!被三',
'BTHR'=>'U!被本',
'BTRN'=>'U!被塁',
'ER'=>'U!自責!自責点',
'RA'=>'U!失点',
'FB'=>'U!与四!与四球',
'DB'=>'U!与死!与死球',
'SO'=>'U!奪三!奪三振',
'SOP'=>'U!奪三率!奪三振率',
'WP'=>'U!暴投'
);
#'BTSB'=>"U,犠打",
#'BTSF'=>"U,犠飛",
#'FBP'=>"U,与敬,与敬遠",
#--------------------------------------#
# データ読み込み
#--------------------------------------#
#名前/ソート法
$NAMES=explode('!',$D[RANK_TYPE][$TR_RANK]);
if($NAMES[2]){
	$RANK_RES[NAME]=$NAMES[2];
}else{
	$RANK_RES[NAME]=$NAMES[1];
}
$RANK_RES[SORT]=$NAMES[0];
#選手読み込み
$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
while($CD=mysql_fetch_assoc($sql)){
	$CD_RP=read_data($D[read_data],$CD[id]);
	if(!$CD_RP[1]){continue;}
	#ランキング別
	get_ranking($TR_RANK,$CD_RP);
	#集計用
	if($CD_RP){
		for($i=0;$i<=$SET[dt_pcd_num];$i++){
			$name=$i;
			$ALL_RP[$name]+=$CD_RP[$name];
		}
	}
}
#あるかどうか
if($RANK_RES){
	#ソート
	if($RANK_RES[SORT]=='U'){
		krsort($RANK_RES);
	}elseif($RANK_RES[SORT]=='D'){
		ksort($RANK_RES);
	}
	#表示
	$no=1;
	foreach($RANK_RES as $DATA=>$keys){
		$KEYS=explode('!',$keys);
		$i=0;
		if(!is_numeric($DATA)){continue;}
		foreach($KEYS as $num=>$key){
			$CD_ID=$key;
			$CD=read_data('player_card',$CD_ID);
			$CD_RP=read_data($D[read_data],$CD_ID);
			$html_flag_url=icon_url($PL[5]);
			$html_result.="<tr style='text-align:center;'><td>";
			if($i!=0){$html_result.="〃";}else{$html_result.="$no";}
			$html_result.="</td><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td>$CD[0]</td><td><img src='$html_flag_url' height=$SET[icon_h_m] title='$PL[1]'></td><td>$CD[2]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_psp_max($CD[21],$CD[4])."</td><td>".ch_st($CD[22],0)."</td><td>".ch_st($CD[23],0)."</td><td>&nbsp;</td><td>".ch_st($CD[24],0)."</td><td>".ch_st($CD[25],0)."</td><td>".ch_st($CD[26],0)."</td><td>".ch_st($CD[27],0)."</td><td>".ch_st($CD[28],0)."</td><td>&nbsp;</td>";
			foreach($D[RANK_TYPE] as $key=>$val){
				if($key==$TR_RANK){
					$html_result.="<td style='background-color:pink;'>";
				}else{
					$html_result.="<td>";
				}
				$html_result.=calc_ranking($key,$CD_RP,0)."</td>";
			}
			$html_result.="</tr>\n";
			$no++;
			$i++;
		}
	}
	#上部表示
	$html_result_tb='<tr style="text-align:center;"><th>&nbsp;</th><th colspan=2>名前</th><th>&nbsp;</th><th>投</th><th>調</th><th>疲</th><th>MAX</th><th>制</th><th>体</th><th>&nbsp;</th><th><abbr title="スライダー系">←</abbr></th><th><abbr title="カーブ系">／</abbr></th><th><abbr title="フォーク系">↓</abbr></th><th><abbr title="シンカー系">＼</abbr></th><th><abbr title="シュート系">→</abbr></th><th>&nbsp;</th>';
	foreach($D[RANK_TYPE] as $key=>$val){
		$NAMES=explode('!',$val);
		if($key==$TR_RANK){
			$html_result_tb.="<th style='background-color:pink;'>";
		}else{
			$html_result_tb.="<th>";
		}
		$html_result_tb.="<a href='$SET[path_index]?r=team_result_pc$D[data]&rank=$key'>$NAMES[1]</a></th>";
	}
	$html_result_tb.="</tr>";
	# 全成績表示
	$html_result_all="<tr style='text-align:center;'><td>&nbsp;</td><th colspan=2>".$html_lg."総合成績</th><td colspan=14>&nbsp;</td>";
	foreach($D[RANK_TYPE] as $key=>$val){
		if($key==$TR_RANK){
			$html_result_all.="<td style='background-color:pink;'>";
		}else{
			$html_result_all.="<td>";
		}
		$html_result_all.=calc_ranking($key,$ALL_RP,0)."</td>";
	}
	$html_result_all.="</tr>";
	#
}else{
	$html_result.="<tr><td colspan=10>表示するものがありません</td></tr>\n";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>チーム投手成績($D[data_name])&nbsp;&gt;&nbsp;$RANK_RES[NAME]</b><br>
<a href='$SET[path_index]?r=team_result'>全体成績</a>/<a href='$SET[path_index]?r=team_result_pc$D[data]'>投手成績</a>/<a href='$SET[path_index]?r=team_result_bt$D[data]'>野手成績</a>
<table style="width:1600px;">
$html_result_tb
$html_result
$html_result_tb
$html_result_all
</table>
EOF;
$disp.="20位まで、規定投球回：".ch_ptime($D[check]);
$disp.="</td></tr>";
$disp.=foot();
}
#----------------------------------------------------------#
function get_ranking($TR_RANK,$CD_RP){
global$RANK_RES;
	if($TR_RANK){
		#出力
		$RES=calc_ranking($TR_RANK,$CD_RP,1);
		$RANK_RES["$RES"]=SET_STR_AR($RANK_RES,$RES,$CD_RP[id],'!');
	}
}
#----------------------------------------------------------#
function calc_ranking($NAME,$CD_RP,$CALC_C){
global$D;
switch($NAME){
case'WIN':$RES=$CD_RP[22];break;
case'LOSE':$RES=$CD_RP[23];break;
case'SAVE':$RES=$CD_RP[24];break;
case'AP':$RES=$CD_RP[28];break;
case'CG':$RES=$CD_RP[26];break;
case'BS':$RES=$CD_RP[27];break;
case'ERA':$RES=ERA($CD_RP[11],$CD_RP[9]);break;
case'WHIP':$RES=WHIP($CD_RP[11],($CD_RP[3]+$CD_RP[15]+$CD_RP[16]));break;
case'AVE':$RES=AVE($CD_RP[2],$CD_RP[3]);break;
case'AVEP':$RES=AVE($CD_RP[20],$CD_RP[21]);break;
case'TIMES':
if($CALC_C==1){$RES=floor($CD_RP[11]/3*10)/10;}else{$RES=ch_ptime($CD_RP[11]);}
break;
case'MO':$RES=$CD_RP[0];break;
case'BT':$RES=$CD_RP[1];break;
case'BTN':$RES=$CD_RP[2];break;
case'BTH':$RES=$CD_RP[3];break;
case'BTHO':$RES=$CD_RP[4];break;
case'BTHD':$RES=$CD_RP[5];break;
case'BTHT':$RES=$CD_RP[6];break;
case'BTHR':$RES=$CD_RP[7];break;
case'BTRN':$RES=$CD_RP[8];break;
case'ER':$RES=$CD_RP[9];break;
case'RA':$RES=$CD_RP[10];break;
case'BTSB':$RES=$CD_RP[13];break;
case'BTSF':$RES=$CD_RP[14];break;
case'FB':$RES=$CD_RP[15];break;
case'FBP':$RES=$CD_RP[16];break;
case'DB':$RES=$CD_RP[17];break;
case'SO':$RES=$CD_RP[18];break;
case'SOP':
if($CD_RP[11]>0){$RES=floor($CD_RP[18]/$CD_RP[11]*27*100)/100;}else{$RES='-';}
break;
case'WP':$RES=$CD_RP[19];break;
 }
 return $RES;
}
#----------------------------------------------------------#
?>